PPSPYAPI Platform
EN / 中文
API REFERENCE

Monitor Task Landing Page List API

POST/open-api/v1/ad-monitor-task/landing-page-list
·api.ppspy.com
Data and monitoring usage rules

Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.

Request headers

AUTHORIZATIONAuthorization: {API Key}
CONTENT-TYPEapplication/json
ACCEPTapplication/json

Request example

cURL
curl --location --request POST 'https://api.ppspy.com/open-api/v1/ad-monitor-task/landing-page-list' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}' \
--data-raw '{
    "task_id": "48c99a7968aa3f76a353297f629e8460",
    "order_by": "ad_count",
    "direction": "desc",
    "page": 1,
    "per_page": 10
}'

Request parameters 17 fields

Pass each parameter in its specified location.

Parameter Type Description
body
body · optional
object | none
» task_id
body · required
string Monitor Task ID | none
» keyword
body · optional
string Landing Page Keyword | none
» first_ad_date_start
body · optional
integer First Ad Start Date | UTC timestamp in seconds.
» first_ad_date_end
body · optional
integer First Ad End Date | UTC timestamp in seconds.
» min_active_ad_count
body · optional
integer Minimum Active Ad Count | none
» max_active_ad_count
body · optional
integer Maximum Active Ad Count | none
» min_ad_count
body · optional
integer Minimum Ad Count | none
» max_ad_count
body · optional
integer Maximum Ad Count | none
» min_ad_days
body · optional
integer Minimum Ad Days | none
» max_ad_days
body · optional
integer Maximum Ad Days | none
» recent_ad_date_start
body · optional
integer Recent Ad Start Date | UTC timestamp in seconds.
» recent_ad_date_end
body · optional
integer Recent Ad End Date | UTC timestamp in seconds.
» order_by
body · optional
string Sort Field | Options: active_ad_count - Active Ad Count, ad_count - Ad Count, ad_days - Ad Days, recent_ad_date - Recent Ad Date, first_ad_date - First Ad Date.
» direction
body · optional
string Sort Direction | Options: desc - Descending, asc - Ascending.
» page
body · optional
integer Page Number | Minimum value is 1.
» per_page
body · optional
integer Page Size | Range: 1-100.

Response example

Response · JSON
{
    "code": 200,
    "message": "success",
    "data": {
        "current_page": 1,
        "data": [
            {
                "landing_page_id": "748e8ab411d6a0b2446d5648b5a32fc8",
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/swim?sort_by=tropical-flower-print-pockets-one-piece-swimsuit",
                "landing_page_screenshot_url": null,
                "active_ad_count": 52,
                "ad_count": 1746,
                "ad_days": 202,
                "recent_ad_date": 1761202800,
                "first_ad_date": 1743836400
            },
            {
                "landing_page_id": "4ee6fd13acbb9297ffbd1e945f1f34ea",
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/swim?sort_by=floral-print-ruched-mesh-one-piece-sarong",
                "landing_page_screenshot_url": null,
                "active_ad_count": 31,
                "ad_count": 1245,
                "ad_days": 184,
                "recent_ad_date": 1761202800,
                "first_ad_date": 1745391600
            },
            {
                "landing_page_id": "6c8812a79a7f68c0afb09b5cc96ef981",
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/bloomchic-fit-lab",
                "landing_page_screenshot_url": null,
                "active_ad_count": 89,
                "ad_count": 1242,
                "ad_days": 182,
                "recent_ad_date": 1761202800,
                "first_ad_date": 1745564400
            },
            {
                "landing_page_id": "56bbba4b97e6b71fc7ace3e7af1dcd51",
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/bloomchic-fit-label",
                "landing_page_screenshot_url": null,
                "active_ad_count": 38,
                "ad_count": 989,
                "ad_days": 182,
                "recent_ad_date": 1761202800,
                "first_ad_date": 1745564400
            },
            {
                "landing_page_id": "77760a1f111b63e1c9d0369ae6ac766b",
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/bloom-sale",
                "landing_page_screenshot_url": null,
                "active_ad_count": 66,
                "ad_count": 472,
                "ad_days": 191,
                "recent_ad_date": 1761202800,
                "first_ad_date": 1744786800
            },
            {
                "landing_page_id": "b69155bd7625ae2b5287754c41e5daa0",
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/swim?sort_by=paisley-print-twist-front-swim-dress",
                "landing_page_screenshot_url": null,
                "active_ad_count": 12,
                "ad_count": 399,
                "ad_days": 197,
                "recent_ad_date": 1761202800,
                "first_ad_date": 1744268400
            },
            {
                "landing_page_id": "9e67bb8745415c8d641f277f00ae69a0",
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/tops-styled-by-bloomchic?sort_by=garden-print-spliced-v-neck-blouse",
                "landing_page_screenshot_url": null,
                "active_ad_count": 19,
                "ad_count": 365,
                "ad_days": 177,
                "recent_ad_date": 1761202800,
                "first_ad_date": 1745996400
            },
            {
                "landing_page_id": "125dacc9e473500846ad330af60afdc0",
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/tops-styled-by-bloomchic?sort_by=back-bow-tie-textured-top,boho-print-shirred-waist-wide-leg-pants",
                "landing_page_screenshot_url": null,
                "active_ad_count": 7,
                "ad_count": 318,
                "ad_days": 140,
                "recent_ad_date": 1759388400,
                "first_ad_date": 1747378800
            },
            {
                "landing_page_id": "0874d4132819912ea2642b35ec68e9bd",
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/swim?sort_by=striped-non-removable-cups-swim-tankini",
                "landing_page_screenshot_url": null,
                "active_ad_count": 5,
                "ad_count": 306,
                "ad_days": 182,
                "recent_ad_date": 1761202800,
                "first_ad_date": 1745564400
            },
            {
                "landing_page_id": "50726610e9ca98c5475126c98a08e9ea",
                "landing_page_url": "https:\/\/bloomchic.com\/collections\/swim?sort_by=two-piece-citrus-print-sarong-swimsuit",
                "landing_page_screenshot_url": null,
                "active_ad_count": 12,
                "ad_count": 295,
                "ad_days": 151,
                "recent_ad_date": 1761030000,
                "first_ad_date": 1748070000
            }
        ],
        "last_page": 842,
        "per_page": 10,
        "total": 8413
    },
    "credits": {
        "remaining_credits": 745,
        "consumed_credits": 0,
        "total_credits": 745
    }
}
Example data from the existing documentation

Response structure

Name Type Required Constraints Display Name Description
» code integer true none Business status code
» message string true none Response Message none
» data object true none Response Data none
»» current_page integer true none Current Page Number none
»» data [object] true none Data List none
»»» landing_page_id string false none Landing Page ID none
»»» landing_page_url string false none Landing Page URL none
»»» landing_page_screenshot_url string¦null false none Landing Page Screenshot URL none
»»» active_ad_count integer false none Active Ad Count none
»»» ad_count integer false none Ad Count none
»»» ad_days integer false none Ad Days none
»»» recent_ad_date integer false none Recent Ad Date UTC timestamp in seconds.
»»» first_ad_date integer false none First Ad Date UTC timestamp in seconds.
»» last_page integer true none Last Page Number none
»» per_page integer true none Page Size none
»» total integer true none Total Count none
» credits object true none Credits information Credits information for the current API request
»» remaining_credits integer true none Remaining credits Remaining credits after this request
»» consumed_credits integer true none Consumed credits Credits consumed by this request
»» total_credits integer true none Total credits Total credits of the current credits type
Search the existing endpoint names and paths